Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.streaming
Class HadoopStreaming

    java.lang.Object
      org.apache.hadoop.streaming.HadoopStreaming

    public class HadoopStreaming

extends Object

The main entrypoint. Usually invoked with the script bin/hadoopStreaming or bin/hadoop har hadoop-streaming.jar args. It passes all the args to StreamJob which handles all the arguments.

Constructor Summary
`HadoopStreaming()`

Method Summary
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HadoopStreaming

    public HadoopStreaming()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation